Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Catalog
  2. Get a catalog

Get a catalog

Get a single catalog by ID

GET/v0/catalogs/{id}
Authorisations
AuthorizationString
Path Parameters
idstringrequired
Catalog ID
Response
application/json
OK
areanumber
area of the catalog in sq. kmExample: 100
bandset_idstring
id of the bandset present in the catalogExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92277"
created_atstring
timestamp of the creation of the catalogExample: "2024-05-27T06:50:20.056549Z"
created_bystring
uuid of the user who created the catalogExample: "0d7b3c5e-3b2a-4e77-bedb-5e0d2257cdb6"
delivery_statusstring
status of the delivery of the catalog, in case automated delivery was enabledExample: "SUCCESSFUL"
detailsobject
STAC item info of the catalog
Show child attributes
idstring
id of the catalogExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
org_idstring
id of the workspace to which the catalog belongsExample: "e31ab6f8-d359-4c6a-83c6-bfa322 29bb01"
task_idstring
id of the task, whose catalog this resource tracksExample: "ef8195b7-5ca6-4aca-a3fc-df6ffd58892d"
updated_atstring
timestamp of the last update of the catalogExample: "2024-05-27T06:50:20.056549Z"
updated_bystring
uuid of the user who last updated the catalogExample: "0ada9483-e3ed-4f31-8a69-372686966451"
Get a catalog
cURL
Python
Go
TypeScript
1curl -X GET 'https://api.pixxel.space/v0/catalogs/{id}' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"area": 100,
"bandset_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92277",
"created_at": "2024-05-27T06:50:20.056549Z",
"created_by": "0d7b3c5e-3b2a-4e77-bedb-5e0d2257cdb6",
"delivery_status": "SUCCESSFUL",
"details": null,
"id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"org_id": "e31ab6f8-d359-4c6a-83c6-bfa322 29bb01",
"task_id": "ef8195b7-5ca6-4aca-a3fc-df6ffd58892d",
"updated_at": "2024-05-27T06:50:20.056549Z",
"updated_by": "0ada9483-e3ed-4f31-8a69-372686966451"
}
Search all catalogs